import { GetReferenceClientRect, Placement } from '../types';
import './popup-dialog.scss';
export interface PopupDialogOptions {
    id?: string;
    content: HTMLElement;
    target?: HTMLElement;
    placement?: Placement;
    point?: {
        x: number;
        y: number;
    };
    theme?: string;
    getReferenceClientRect?: GetReferenceClientRect | null | undefined;
    offset?: [number, number];
    arrow?: boolean;
    onClose?: (dialog: PopupDialog) => void;
    onShow?: (dialog: PopupDialog) => void;
}
export default class PopupDialog {
    private options;
    private popup;
    constructor(options: PopupDialogOptions);
    destroy(): void;
    show(target?: HTMLElement): void;
    close(): void;
    handlePopupClose: () => void;
    handlePopupShow: () => void;
}
